# ipe::DeflateStream Class Reference
Ipe Utilities

Filter stream adding flate compression. More...

`#include <ipeutils.h>`

Inherits ipe::Stream.

List of all members.

## Public Member Functions

- DeflateStream (Stream &stream, int level)
- virtual ~DeflateStream ()
- virtual void putChar (char ch)
- virtual void close ()

## Static Public Member Functions

- static Buffer deflate (const char *data, int size, int &deflatedSize, int compressLevel)

## Detailed Description

Filter stream adding flate compression.

## Constructor & Destructor Documentation

DeflateStream::DeflateStream | ( | Stream & | stream,
|  | int | level
| ) |  |

DeflateStream::~DeflateStream | ( |  | ) | `[virtual]`

## Member Function Documentation

void DeflateStream::putChar | ( | char | ch | ) | `[virtual]`

Output character.

Implements ipe::Stream.

void DeflateStream::close | ( |  | ) | `[virtual]`

Close the stream. No more writing allowed!

Reimplemented from ipe::Stream.

Buffer DeflateStream::deflate | ( | const char * | data,
|  | int | size,
|  | int & | deflatedSize,
|  | int | compressLevel
| ) |  | `[static]`

Deflate a buffer in a single run.

The returned buffer may be larger than necessary: deflatedSize is set to the number of bytes actually used.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp